"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _redux = require("redux");

var _reactRedux = require("react-redux");

var _bootstrapStyled = require("bootstrap-styled");

var _Button = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Button"));

var _index = _interopRequireDefault(require("../index"));

var _reducer = _interopRequireDefault(require("../../reducer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable function-paren-newline */
describe('<ConnectedBootstrapProvider />', function () {
  var store;
  beforeAll(function () {
    store = (0, _redux.createStore)((0, _redux.combineReducers)({
      'bs.redux': _reducer.default
    }));
  });
  it('should render the ConnectedBootstrapProvider', function () {
    var renderedComponent = (0, _enzyme.mount)(_react.default.createElement(_reactRedux.Provider, {
      store: store
    }, _react.default.createElement(_index.default, {
      injectGlobal: false
    }, _react.default.createElement(_Button.default, null, "Hey"))));
    expect(renderedComponent.contains(_react.default.createElement(_Button.default, null, "Hey"))).toBe(true);
    expect(renderedComponent.find('BootstrapProvider').prop('theme')).toBe(_bootstrapStyled.theme);
  });
});
/* eslint-enable function-paren-newline */