"use strict";

var _reducer = require("../reducer");

var _selectors = require("../selectors");

describe('selectBsRedux', function () {
  var state;
  var bsReduxState;
  beforeEach(function () {
    bsReduxState = _reducer.initialState;
    state = {
      'bs.redux': bsReduxState
    };
  });
  describe('selectBsRedux', function () {
    it('should select the @bootstrap-styled/redux state', function () {
      expect((0, _selectors.selectBsRedux)(state)).toEqual(state['bs.redux']);
    });
    describe('selectTheme', function () {
      it('should select the theme', function () {
        expect((0, _selectors.selectTheme)(state)).toEqual(bsReduxState.theme);
      });
    });
    describe('selectThemes', function () {
      it('should select the themes', function () {
        expect((0, _selectors.selectThemes)(state)).toEqual(bsReduxState.themes);
      });
    });
    describe('selectValue', function () {
      it('should select the value', function () {
        expect((0, _selectors.selectValue)(state)).toEqual(bsReduxState.theme._name); // eslint-disable-line no-underscore-dangle
      });
    });
    describe('selectValues', function () {
      it('should select the values', function () {
        expect((0, _selectors.selectValues)(state)).toEqual(Object.keys(bsReduxState.themes).map(function (key) {
          return bsReduxState.themes[key]._name;
        })); // eslint-disable-line no-underscore-dangle
      });
    });
  });
});